Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2ea2::/16
First address
2ea2::
Last address
2ea2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2ea2:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
2.a.e.2.ip6.arpa
Split into smaller subnets/28

2ea2::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12ea2::/282ea2:f:ffff:ffff:ffff:ffff:ffff:ffff
22ea2:10::/282ea2:1f:ffff:ffff:ffff:ffff:ffff:ffff
32ea2:20::/282ea2:2f:ffff:ffff:ffff:ffff:ffff:ffff
42ea2:30::/282ea2:3f:ffff:ffff:ffff:ffff:ffff:ffff
52ea2:40::/282ea2:4f:ffff:ffff:ffff:ffff:ffff:ffff
62ea2:50::/282ea2:5f:ffff:ffff:ffff:ffff:ffff:ffff
72ea2:60::/282ea2:6f:ffff:ffff:ffff:ffff:ffff:ffff
82ea2:70::/282ea2:7f:ffff:ffff:ffff:ffff:ffff:ffff
92ea2:80::/282ea2:8f:ffff:ffff:ffff:ffff:ffff:ffff
102ea2:90::/282ea2:9f:ffff:ffff:ffff:ffff:ffff:ffff
112ea2:a0::/282ea2:af:ffff:ffff:ffff:ffff:ffff:ffff
122ea2:b0::/282ea2:bf:ffff:ffff:ffff:ffff:ffff:ffff
132ea2:c0::/282ea2:cf:ffff:ffff:ffff:ffff:ffff:ffff
142ea2:d0::/282ea2:df:ffff:ffff:ffff:ffff:ffff:ffff
152ea2:e0::/282ea2:ef:ffff:ffff:ffff:ffff:ffff:ffff
162ea2:f0::/282ea2:ff:ffff:ffff:ffff:ffff:ffff:ffff
172ea2:100::/282ea2:10f:ffff:ffff:ffff:ffff:ffff:ffff
182ea2:110::/282ea2:11f:ffff:ffff:ffff:ffff:ffff:ffff
192ea2:120::/282ea2:12f:ffff:ffff:ffff:ffff:ffff:ffff
202ea2:130::/282ea2:13f:ffff:ffff:ffff:ffff:ffff:ffff
212ea2:140::/282ea2:14f:ffff:ffff:ffff:ffff:ffff:ffff
222ea2:150::/282ea2:15f:ffff:ffff:ffff:ffff:ffff:ffff
232ea2:160::/282ea2:16f:ffff:ffff:ffff:ffff:ffff:ffff
242ea2:170::/282ea2:17f:ffff:ffff:ffff:ffff:ffff:ffff
252ea2:180::/282ea2:18f:ffff:ffff:ffff:ffff:ffff:ffff
262ea2:190::/282ea2:19f:ffff:ffff:ffff:ffff:ffff:ffff
272ea2:1a0::/282ea2:1af:ffff:ffff:ffff:ffff:ffff:ffff
282ea2:1b0::/282ea2:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292ea2:1c0::/282ea2:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302ea2:1d0::/282ea2:1df:ffff:ffff:ffff:ffff:ffff:ffff
312ea2:1e0::/282ea2:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322ea2:1f0::/282ea2:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332ea2:200::/282ea2:20f:ffff:ffff:ffff:ffff:ffff:ffff
342ea2:210::/282ea2:21f:ffff:ffff:ffff:ffff:ffff:ffff
352ea2:220::/282ea2:22f:ffff:ffff:ffff:ffff:ffff:ffff
362ea2:230::/282ea2:23f:ffff:ffff:ffff:ffff:ffff:ffff
372ea2:240::/282ea2:24f:ffff:ffff:ffff:ffff:ffff:ffff
382ea2:250::/282ea2:25f:ffff:ffff:ffff:ffff:ffff:ffff
392ea2:260::/282ea2:26f:ffff:ffff:ffff:ffff:ffff:ffff
402ea2:270::/282ea2:27f:ffff:ffff:ffff:ffff:ffff:ffff
412ea2:280::/282ea2:28f:ffff:ffff:ffff:ffff:ffff:ffff
422ea2:290::/282ea2:29f:ffff:ffff:ffff:ffff:ffff:ffff
432ea2:2a0::/282ea2:2af:ffff:ffff:ffff:ffff:ffff:ffff
442ea2:2b0::/282ea2:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452ea2:2c0::/282ea2:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462ea2:2d0::/282ea2:2df:ffff:ffff:ffff:ffff:ffff:ffff
472ea2:2e0::/282ea2:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482ea2:2f0::/282ea2:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492ea2:300::/282ea2:30f:ffff:ffff:ffff:ffff:ffff:ffff
502ea2:310::/282ea2:31f:ffff:ffff:ffff:ffff:ffff:ffff
512ea2:320::/282ea2:32f:ffff:ffff:ffff:ffff:ffff:ffff
522ea2:330::/282ea2:33f:ffff:ffff:ffff:ffff:ffff:ffff
532ea2:340::/282ea2:34f:ffff:ffff:ffff:ffff:ffff:ffff
542ea2:350::/282ea2:35f:ffff:ffff:ffff:ffff:ffff:ffff
552ea2:360::/282ea2:36f:ffff:ffff:ffff:ffff:ffff:ffff
562ea2:370::/282ea2:37f:ffff:ffff:ffff:ffff:ffff:ffff
572ea2:380::/282ea2:38f:ffff:ffff:ffff:ffff:ffff:ffff
582ea2:390::/282ea2:39f:ffff:ffff:ffff:ffff:ffff:ffff
592ea2:3a0::/282ea2:3af:ffff:ffff:ffff:ffff:ffff:ffff
602ea2:3b0::/282ea2:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612ea2:3c0::/282ea2:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622ea2:3d0::/282ea2:3df:ffff:ffff:ffff:ffff:ffff:ffff
632ea2:3e0::/282ea2:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642ea2:3f0::/282ea2:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652ea2:400::/282ea2:40f:ffff:ffff:ffff:ffff:ffff:ffff
662ea2:410::/282ea2:41f:ffff:ffff:ffff:ffff:ffff:ffff
672ea2:420::/282ea2:42f:ffff:ffff:ffff:ffff:ffff:ffff
682ea2:430::/282ea2:43f:ffff:ffff:ffff:ffff:ffff:ffff
692ea2:440::/282ea2:44f:ffff:ffff:ffff:ffff:ffff:ffff
702ea2:450::/282ea2:45f:ffff:ffff:ffff:ffff:ffff:ffff
712ea2:460::/282ea2:46f:ffff:ffff:ffff:ffff:ffff:ffff
722ea2:470::/282ea2:47f:ffff:ffff:ffff:ffff:ffff:ffff
732ea2:480::/282ea2:48f:ffff:ffff:ffff:ffff:ffff:ffff
742ea2:490::/282ea2:49f:ffff:ffff:ffff:ffff:ffff:ffff
752ea2:4a0::/282ea2:4af:ffff:ffff:ffff:ffff:ffff:ffff
762ea2:4b0::/282ea2:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772ea2:4c0::/282ea2:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782ea2:4d0::/282ea2:4df:ffff:ffff:ffff:ffff:ffff:ffff
792ea2:4e0::/282ea2:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802ea2:4f0::/282ea2:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812ea2:500::/282ea2:50f:ffff:ffff:ffff:ffff:ffff:ffff
822ea2:510::/282ea2:51f:ffff:ffff:ffff:ffff:ffff:ffff
832ea2:520::/282ea2:52f:ffff:ffff:ffff:ffff:ffff:ffff
842ea2:530::/282ea2:53f:ffff:ffff:ffff:ffff:ffff:ffff
852ea2:540::/282ea2:54f:ffff:ffff:ffff:ffff:ffff:ffff
862ea2:550::/282ea2:55f:ffff:ffff:ffff:ffff:ffff:ffff
872ea2:560::/282ea2:56f:ffff:ffff:ffff:ffff:ffff:ffff
882ea2:570::/282ea2:57f:ffff:ffff:ffff:ffff:ffff:ffff
892ea2:580::/282ea2:58f:ffff:ffff:ffff:ffff:ffff:ffff
902ea2:590::/282ea2:59f:ffff:ffff:ffff:ffff:ffff:ffff
912ea2:5a0::/282ea2:5af:ffff:ffff:ffff:ffff:ffff:ffff
922ea2:5b0::/282ea2:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932ea2:5c0::/282ea2:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942ea2:5d0::/282ea2:5df:ffff:ffff:ffff:ffff:ffff:ffff
952ea2:5e0::/282ea2:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962ea2:5f0::/282ea2:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972ea2:600::/282ea2:60f:ffff:ffff:ffff:ffff:ffff:ffff
982ea2:610::/282ea2:61f:ffff:ffff:ffff:ffff:ffff:ffff
992ea2:620::/282ea2:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002ea2:630::/282ea2:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012ea2:640::/282ea2:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022ea2:650::/282ea2:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032ea2:660::/282ea2:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042ea2:670::/282ea2:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052ea2:680::/282ea2:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062ea2:690::/282ea2:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072ea2:6a0::/282ea2:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082ea2:6b0::/282ea2:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092ea2:6c0::/282ea2:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102ea2:6d0::/282ea2:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112ea2:6e0::/282ea2:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122ea2:6f0::/282ea2:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132ea2:700::/282ea2:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142ea2:710::/282ea2:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152ea2:720::/282ea2:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162ea2:730::/282ea2:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172ea2:740::/282ea2:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182ea2:750::/282ea2:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192ea2:760::/282ea2:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202ea2:770::/282ea2:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212ea2:780::/282ea2:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222ea2:790::/282ea2:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232ea2:7a0::/282ea2:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242ea2:7b0::/282ea2:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252ea2:7c0::/282ea2:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262ea2:7d0::/282ea2:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272ea2:7e0::/282ea2:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282ea2:7f0::/282ea2:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292ea2:800::/282ea2:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302ea2:810::/282ea2:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312ea2:820::/282ea2:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322ea2:830::/282ea2:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332ea2:840::/282ea2:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342ea2:850::/282ea2:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352ea2:860::/282ea2:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362ea2:870::/282ea2:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372ea2:880::/282ea2:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382ea2:890::/282ea2:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392ea2:8a0::/282ea2:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402ea2:8b0::/282ea2:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412ea2:8c0::/282ea2:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422ea2:8d0::/282ea2:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432ea2:8e0::/282ea2:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442ea2:8f0::/282ea2:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452ea2:900::/282ea2:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462ea2:910::/282ea2:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472ea2:920::/282ea2:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482ea2:930::/282ea2:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492ea2:940::/282ea2:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502ea2:950::/282ea2:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512ea2:960::/282ea2:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522ea2:970::/282ea2:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532ea2:980::/282ea2:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542ea2:990::/282ea2:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552ea2:9a0::/282ea2:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562ea2:9b0::/282ea2:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572ea2:9c0::/282ea2:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582ea2:9d0::/282ea2:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592ea2:9e0::/282ea2:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602ea2:9f0::/282ea2:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612ea2:a00::/282ea2:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622ea2:a10::/282ea2:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632ea2:a20::/282ea2:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642ea2:a30::/282ea2:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652ea2:a40::/282ea2:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662ea2:a50::/282ea2:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672ea2:a60::/282ea2:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682ea2:a70::/282ea2:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692ea2:a80::/282ea2:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702ea2:a90::/282ea2:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712ea2:aa0::/282ea2:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722ea2:ab0::/282ea2:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732ea2:ac0::/282ea2:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742ea2:ad0::/282ea2:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752ea2:ae0::/282ea2:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762ea2:af0::/282ea2:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772ea2:b00::/282ea2:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782ea2:b10::/282ea2:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792ea2:b20::/282ea2:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802ea2:b30::/282ea2:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812ea2:b40::/282ea2:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822ea2:b50::/282ea2:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832ea2:b60::/282ea2:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842ea2:b70::/282ea2:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852ea2:b80::/282ea2:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862ea2:b90::/282ea2:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872ea2:ba0::/282ea2:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882ea2:bb0::/282ea2:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892ea2:bc0::/282ea2:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902ea2:bd0::/282ea2:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912ea2:be0::/282ea2:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922ea2:bf0::/282ea2:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932ea2:c00::/282ea2:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942ea2:c10::/282ea2:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952ea2:c20::/282ea2:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962ea2:c30::/282ea2:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972ea2:c40::/282ea2:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982ea2:c50::/282ea2:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992ea2:c60::/282ea2:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002ea2:c70::/282ea2:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012ea2:c80::/282ea2:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022ea2:c90::/282ea2:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032ea2:ca0::/282ea2:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042ea2:cb0::/282ea2:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052ea2:cc0::/282ea2:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062ea2:cd0::/282ea2:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072ea2:ce0::/282ea2:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082ea2:cf0::/282ea2:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092ea2:d00::/282ea2:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102ea2:d10::/282ea2:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112ea2:d20::/282ea2:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122ea2:d30::/282ea2:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132ea2:d40::/282ea2:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142ea2:d50::/282ea2:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152ea2:d60::/282ea2:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162ea2:d70::/282ea2:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172ea2:d80::/282ea2:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182ea2:d90::/282ea2:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192ea2:da0::/282ea2:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202ea2:db0::/282ea2:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212ea2:dc0::/282ea2:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222ea2:dd0::/282ea2:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232ea2:de0::/282ea2:def:ffff:ffff:ffff:ffff:ffff:ffff
2242ea2:df0::/282ea2:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252ea2:e00::/282ea2:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262ea2:e10::/282ea2:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272ea2:e20::/282ea2:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282ea2:e30::/282ea2:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292ea2:e40::/282ea2:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302ea2:e50::/282ea2:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312ea2:e60::/282ea2:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322ea2:e70::/282ea2:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332ea2:e80::/282ea2:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342ea2:e90::/282ea2:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352ea2:ea0::/282ea2:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362ea2:eb0::/282ea2:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372ea2:ec0::/282ea2:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382ea2:ed0::/282ea2:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392ea2:ee0::/282ea2:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402ea2:ef0::/282ea2:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412ea2:f00::/282ea2:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422ea2:f10::/282ea2:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432ea2:f20::/282ea2:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442ea2:f30::/282ea2:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452ea2:f40::/282ea2:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462ea2:f50::/282ea2:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472ea2:f60::/282ea2:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482ea2:f70::/282ea2:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492ea2:f80::/282ea2:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502ea2:f90::/282ea2:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512ea2:fa0::/282ea2:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522ea2:fb0::/282ea2:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532ea2:fc0::/282ea2:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542ea2:fd0::/282ea2:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552ea2:fe0::/282ea2:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562ea2:ff0::/282ea2:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses